/*
 * ActionNameValidator.hpp
 *
 *  Created on: May 10, 2012
 *      Author: heber
 */

#ifndef ACTIONNAMEVALIDATOR_HPP_
#define ACTIONNAMEVALIDATOR_HPP_


// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <string>

#include "Parameters/Validators/Validator.hpp"

/** This validators checks whether the value matches one of the available Action
 * names.
 */
class ActionNameValidator : public Validator<std::string>
{
  bool isValid(const std::string & _value) const;
  bool operator==(const Validator<std::string> &_instance) const;
  Validator< std::string >* clone() const;
};


#endif /* ACTIONNAMEVALIDATOR_HPP_ */
